System 2.0.0.0 4.0.0.0 System.Enum

This enumeration can be useful when handling the event to detect and respond to errors when communicating data through a . You examine the type of error by retrieving the property of the class. The property contains one of the values from the enumeration.

Specifies errors that occur on the object.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialError

  The hardware detected a framing error.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialError

  A character-buffer overrun has occurred. The next character is lost.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialError

  An input buffer overflow has occurred. There is either no room in the input buffer, or a character was received after the end-of-file (EOF) character.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialError

  The hardware detected a parity error.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialError

  The application tried to transmit a character, but the output buffer was full.